summaryrefslogtreecommitdiff
path: root/.config
diff options
context:
space:
mode:
Diffstat (limited to '.config')
-rw-r--r--.config/nvim/themes/githubsy.vim2
-rw-r--r--.config/zsh/purs.zsh13
2 files changed, 13 insertions, 2 deletions
diff --git a/.config/nvim/themes/githubsy.vim b/.config/nvim/themes/githubsy.vim
index 7ad7015..15445bf 100644
--- a/.config/nvim/themes/githubsy.vim
+++ b/.config/nvim/themes/githubsy.vim
@@ -1,5 +1,3 @@
-
-
" Prevents the colorscheme from loading a custom bg color.
autocmd ColorScheme * highlight Normal ctermbg=NONE guibg=NONE
diff --git a/.config/zsh/purs.zsh b/.config/zsh/purs.zsh
new file mode 100644
index 0000000..ea2103a
--- /dev/null
+++ b/.config/zsh/purs.zsh
@@ -0,0 +1,13 @@
+function zle-line-init zle-keymap-select {
+ PROMPT=`$HOME/purs/target/release/purs prompt -k "$KEYMAP" -r "$?" --venv "${${VIRTUAL_ENV:t}%-*}"`
+ zle reset-prompt
+}
+zle -N zle-line-init
+zle -N zle-keymap-select
+
+autoload -Uz add-zsh-hook
+
+function _prompt_purs_precmd() {
+ /$HOME/purs/target/release/purs precmd
+}
+add-zsh-hook precmd _prompt_purs_precmd